# Generated from rabbit-slide-kou-rubykaigi-takeout-2021-2021.9.11.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-kou-rubykaigi-takeout-2021

Name: rubygem-%{gem_name}
Version: 2021.9.11.3
Release: 1%{?dist}
Summary: Red Arrow - Ruby and Apache Arrow
License: CC-BY-SA-4.0
URL: https://slide.rabbit-shocker.org/authors/kou/rubykaigi-takeout-2021/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
To use Ruby for data processing widely, Apache Arrow support is important. We
can do the followings with Apache Arrow:
* Super fast large data interchange and processing
* Reading/writing data in several famous formats such as CSV and Apache
Parquet
* Reading/writing partitioned large data on cloud storage such as Amazon S3
This talk describes the followings:
* What is Apache Arrow
* How to use Apache Arrow with Ruby
* How to integrate with Ruby 3.0 features such as MemoryView and Ractor.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/benchmarks
%{gem_instdir}/config.yaml
%{gem_instdir}/images
%{gem_instdir}/pdf
%{gem_instdir}/red-arrow.rab
%{gem_instdir}/theme.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 2021.9.11.3-1
- Initial package
